<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:25 CEST 2019 -->
<title>FbServiceProperties (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FbServiceProperties (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/FbServiceProperties.html" target="_top">Frames</a></li>
<li><a href="FbServiceProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng</div>
<h2 title="Class FbServiceProperties" class="title">Class FbServiceProperties</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.FbServiceProperties</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>&gt;, <a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a></dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">FbServiceProperties</span>
extends <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html" title="class in org.firebirdsql.gds.ng">AbstractAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>&gt;
implements <a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a></pre>
<div class="block">Mutable implementation of <a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IServiceProperties</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/FbImmutableServiceProperties.html" title="class in org.firebirdsql.gds.ng"><code>FbImmutableServiceProperties</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.IServiceProperties">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html#DEFAULT_SERVICE_NAME">DEFAULT_SERVICE_NAME</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.IAttachProperties">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_CONNECT_TIMEOUT">DEFAULT_CONNECT_TIMEOUT</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_PORT">DEFAULT_PORT</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SERVER_NAME">DEFAULT_SERVER_NAME</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SO_TIMEOUT">DEFAULT_SO_TIMEOUT</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SOCKET_BUFFER_SIZE">DEFAULT_SOCKET_BUFFER_SIZE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbServiceProperties.html#FbServiceProperties--">FbServiceProperties</a></span>()</code>
<div class="block">Default constructor for FbServiceProperties</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbServiceProperties.html#FbServiceProperties-org.firebirdsql.gds.ng.IServiceProperties-">FbServiceProperties</a></span>(<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>&nbsp;src)</code>
<div class="block">Copy constructor for FbServiceProperties.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbServiceProperties.html#asImmutable--">asImmutable</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbServiceProperties.html#asNewMutable--">asNewMutable</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbServiceProperties.html#dirtied--">dirtied</a></span>()</code>
<div class="block">Called by setters if they have been called.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbServiceProperties.html#getAttachObjectName--">getAttachObjectName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbServiceProperties.html#getServiceName--">getServiceName</a></span>()</code>
<div class="block">Get the service name</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbServiceProperties.html#setServiceName-java.lang.String-">setServiceName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serviceName)</code>
<div class="block">Set the service name.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractAttachProperties">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html" title="class in org.firebirdsql.gds.ng">AbstractAttachProperties</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getAuthPlugins--">getAuthPlugins</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getCharSet--">getCharSet</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getConnectTimeout--">getConnectTimeout</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getDbCryptConfig--">getDbCryptConfig</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getEncoding--">getEncoding</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getPassword--">getPassword</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getPortNumber--">getPortNumber</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getRoleName--">getRoleName</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getServerName--">getServerName</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getSocketBufferSize--">getSocketBufferSize</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getSoTimeout--">getSoTimeout</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getUser--">getUser</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getWireCrypt--">getWireCrypt</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setCharSet-java.lang.String-">setCharSet</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setConnectTimeout-int-">setConnectTimeout</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setEncoding-java.lang.String-">setEncoding</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setPassword-java.lang.String-">setPassword</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setPortNumber-int-">setPortNumber</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setRoleName-java.lang.String-">setRoleName</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setServerName-java.lang.String-">setServerName</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setSocketBufferSize-int-">setSocketBufferSize</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setSoTimeout-int-">setSoTimeout</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setUser-java.lang.String-">setUser</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.IAttachProperties">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getAuthPlugins--">getAuthPlugins</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getCharSet--">getCharSet</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getConnectTimeout--">getConnectTimeout</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getDbCryptConfig--">getDbCryptConfig</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getEncoding--">getEncoding</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getPassword--">getPassword</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getPortNumber--">getPortNumber</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getRoleName--">getRoleName</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getServerName--">getServerName</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getSocketBufferSize--">getSocketBufferSize</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getSoTimeout--">getSoTimeout</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getUser--">getUser</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getWireCrypt--">getWireCrypt</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setCharSet-java.lang.String-">setCharSet</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setConnectTimeout-int-">setConnectTimeout</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setEncoding-java.lang.String-">setEncoding</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setPassword-java.lang.String-">setPassword</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setPortNumber-int-">setPortNumber</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setRoleName-java.lang.String-">setRoleName</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setServerName-java.lang.String-">setServerName</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setSocketBufferSize-int-">setSocketBufferSize</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setSoTimeout-int-">setSoTimeout</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setUser-java.lang.String-">setUser</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FbServiceProperties-org.firebirdsql.gds.ng.IServiceProperties-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FbServiceProperties</h4>
<pre>public&nbsp;FbServiceProperties(<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>&nbsp;src)</pre>
<div class="block">Copy constructor for FbServiceProperties.
 <p>
 All properties defined in <a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IServiceProperties</code></a> are copied from <code>src</code> to the new instance.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>src</code> - Source to copy from</dd>
</dl>
</li>
</ul>
<a name="FbServiceProperties--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FbServiceProperties</h4>
<pre>public&nbsp;FbServiceProperties()</pre>
<div class="block">Default constructor for FbServiceProperties</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getServiceName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getServiceName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getServiceName()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html#getServiceName--">IServiceProperties</a></code></span></div>
<div class="block">Get the service name
 <p>
 NOTE: Implementer should take care to return <a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html#DEFAULT_SERVICE_NAME"><code>IServiceProperties.DEFAULT_SERVICE_NAME</code></a> if
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html#getServiceName--">getServiceName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Service name</dd>
</dl>
</li>
</ul>
<a name="setServiceName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setServiceName</h4>
<pre>public&nbsp;void&nbsp;setServiceName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serviceName)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html#setServiceName-java.lang.String-">IServiceProperties</a></code></span></div>
<div class="block">Set the service name.
 <p>
 NOTE: Implementer should take care to use the <a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html#DEFAULT_SERVICE_NAME"><code>IServiceProperties.DEFAULT_SERVICE_NAME</code></a> if
 this method hasn't been called yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html#setServiceName-java.lang.String-">setServiceName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>serviceName</code> - Service name</dd>
</dl>
</li>
</ul>
<a name="getAttachObjectName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttachObjectName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getAttachObjectName()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getAttachObjectName--">getAttachObjectName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The name of the object to attach to (either a database or service name).</dd>
</dl>
</li>
</ul>
<a name="asImmutable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asImmutable</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>&nbsp;asImmutable()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#asImmutable--">asImmutable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html#asImmutable--">asImmutable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An immutable version of this instance as an implementation of <a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IServiceProperties</code></a></dd>
</dl>
</li>
</ul>
<a name="asNewMutable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asNewMutable</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>&nbsp;asNewMutable()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#asNewMutable--">asNewMutable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html#asNewMutable--">asNewMutable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A new, mutable, instance as an implementation of <a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IServiceProperties</code></a> with all properties copied.</dd>
</dl>
</li>
</ul>
<a name="dirtied--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>dirtied</h4>
<pre>protected&nbsp;void&nbsp;dirtied()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#dirtied--">AbstractAttachProperties</a></code></span></div>
<div class="block">Called by setters if they have been called.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#dirtied--">dirtied</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html" title="class in org.firebirdsql.gds.ng">AbstractAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/FbServiceProperties.html" target="_top">Frames</a></li>
<li><a href="FbServiceProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
